HermeticHashFunctionMAC< T_Hash, T_Info > Class Template Reference

MAC construction using a hermetic hash function. More...

Inheritance diagram for HermeticHashFunctionMAC< T_Hash, T_Info >:

## Public Member Functions

void | UncheckedSetKey (const byte *key, unsigned int length, const NameValuePairs &params)
void | Restart ()
void | Update (const byte *input, size_t length)
void | TruncatedFinal (byte *digest, size_t digestSize)
unsigned int | DigestSize () const
unsigned int | BlockSize () const
unsigned int | OptimalBlockSize () const
unsigned int | OptimalDataAlignment () const
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< MessageAuthenticationCode, VariableKeyLength< 32, 0, INT_MAX > > >, T_Hash >
std::string | AlgorithmName () const
| The algorithm name. More...
Public Member Functions inherited from SimpleKeyingInterfaceImpl< BASE, INFO >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm. More...
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm. More...
size_t | DefaultKeyLength () const
| The default key length used by the algorithm. More...
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm. More...
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm. More...
unsigned int | IVSize () const
| The initialization vector length for the algorithm. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< MessageAuthenticationCode, VariableKeyLength< 32, 0, INT_MAX > > >, T_Hash >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

### template<class T_Hash, class T_Info = T_Hash>
class HermeticHashFunctionMAC< T_Hash, T_Info >

MAC construction using a hermetic hash function.

Definition at line 67 of file panama.h.

The documentation for this class was generated from the following file:

- panama.h